Subject: Re: [PATCH v4] send-email: prompt-dependent exit codes

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Aug 2023 12:56:31 -0700

Oswald Buddenhagen <[email-masked]> writes:

> fwiw, other users who noticed this problem most probably preempted it
> by adding appropriate --confirm=* and --suppress-* options. but this
> doesn't fit my use case of a "light" wrapper.

I have no problem with giving the command an option to allow it to
report if one or more messages were held back via its exit status.

Others may even want to know which ones among many messages weren't
sent, not just "there were some that weren't sent", to make it
easier to identify which ones to be resent after touching them up.

In any case, I consider such changes (including the "were there any
that weren't sent" bit) optional new features.

Thanks.